## Functions

### gst_tag_get_id3v2_tag_size

    guint
    gst_tag_get_id3v2_tag_size (GstBuffer * buffer)

Determines size of an ID3v2 tag on buffer containing at least ID3v2 header, i.e. at least GST_TAG_ID3V2_HEADER_SIZE (10) bytes;

Parameters:

`buffer` –

buffer holding ID3v2 tag (or at least the start of one)

Returns –

Size of tag, or 0 if header is invalid or too small.

### GstTag.prototype.tag_get_id3v2_tag_size

    function GstTag.prototype.tag_get_id3v2_tag_size(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_tag_get_id3v2_tag_size'
    }

Determines size of an ID3v2 tag on buffer containing at least ID3v2 header, i.e. at least GstTag.TAG_ID3V2_HEADER_SIZE (10) bytes;

Parameters:

`buffer` (Gst.Buffer) –

buffer holding ID3v2 tag (or at least the start of one)

Returns (Number) –

Size of tag, or 0 if header is invalid or too small.

### GstTag.tag_get_id3v2_tag_size

    def GstTag.tag_get_id3v2_tag_size (buffer):
        #python wrapper for 'gst_tag_get_id3v2_tag_size'

Determines size of an ID3v2 tag on buffer containing at least ID3v2 header, i.e. at least GstTag.TAG_ID3V2_HEADER_SIZE (10) bytes;

Parameters:

`buffer` (Gst.Buffer) –

buffer holding ID3v2 tag (or at least the start of one)

Returns (int) –

Size of tag, or 0 if header is invalid or too small.

### gst_tag_list_from_id3v2_tag

    GstTagList *
    gst_tag_list_from_id3v2_tag (GstBuffer * buffer)

Creates a new tag list that contains the information parsed out of a ID3 tag.

Parameters:

`buffer` –

buffer to convert

Returns ( [transfer: full][nullable]) –

A new GstTagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.prototype.tag_list_from_id3v2_tag

    function GstTag.prototype.tag_list_from_id3v2_tag(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_tag_list_from_id3v2_tag'
    }

Creates a new tag list that contains the information parsed out of a ID3 tag.

Parameters:

`buffer` (Gst.Buffer) –

buffer to convert

Returns (Gst.TagList) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

### GstTag.tag_list_from_id3v2_tag

    def GstTag.tag_list_from_id3v2_tag (buffer):
        #python wrapper for 'gst_tag_list_from_id3v2_tag'

Creates a new tag list that contains the information parsed out of a ID3 tag.

Parameters:

`buffer` (Gst.Buffer) –

buffer to convert

Returns (Gst.TagList) –

A new Gst.TagList with all tags that could be extracted from the given vorbiscomment buffer or NULL on error.

The results of the search are